## org.apache.poi.hpbf.model
Class QuillContents

    java.lang.Object
      org.apache.poi.hpbf.model.HPBFPart
          org.apache.poi.hpbf.model.QuillContents

    public final class QuillContents

extends HPBFPart

Quill -> QuillSub -> CONTENTS

Field Summary

Fields inherited from class org.apache.poi.hpbf.model.HPBFPart
`data`

Constructor Summary
`QuillContents(DirectoryNode baseDir)`

Method Summary
`protected void` `generateData()` Called just before writing out, to trigger the data byte array to be updated with the latest contents.
`QCBit[]` `getBits()`

Methods inherited from class org.apache.poi.hpbf.model.HPBFPart
`getData, getPath, writeOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuillContents

    public QuillContents(DirectoryNode baseDir)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getBits

    public QCBit[] getBits()

### generateData

    protected void generateData()

  Description copied from class: `HPBFPart`
  Called just before writing out, to trigger the data byte array to be updated with the latest contents.

  Specified by:
    `generateData` in class `HPBFPart`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.